<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlightCheckAvail StructType
 * @subpackage Structs
 */
class FlightCheckAvail extends AbstractStructBase
{
    /**
     * The FlightCheckAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightCheckAvailRQ
     */
    public $FlightCheckAvailRQ;
    /**
     * Constructor method for FlightCheckAvail
     * @uses FlightCheckAvail::setFlightCheckAvailRQ()
     * @param \StructType\JP_FlightCheckAvailRQ $flightCheckAvailRQ
     */
    public function __construct(\StructType\JP_FlightCheckAvailRQ $flightCheckAvailRQ = null)
    {
        $this
            ->setFlightCheckAvailRQ($flightCheckAvailRQ);
    }
    /**
     * Get FlightCheckAvailRQ value
     * @return \StructType\JP_FlightCheckAvailRQ|null
     */
    public function getFlightCheckAvailRQ()
    {
        return $this->FlightCheckAvailRQ;
    }
    /**
     * Set FlightCheckAvailRQ value
     * @param \StructType\JP_FlightCheckAvailRQ $flightCheckAvailRQ
     * @return \StructType\FlightCheckAvail
     */
    public function setFlightCheckAvailRQ(\StructType\JP_FlightCheckAvailRQ $flightCheckAvailRQ = null)
    {
        $this->FlightCheckAvailRQ = $flightCheckAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\FlightCheckAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
